#!/usr/local/bin/php -c/usr/local/directadmin/plugins/litespeed/admin/php.ini
<?php

/** ******************************************
 * LiteSpeed Web Server Plugin for DirectAdmin
 *
 * @author Michael Alegre
 * @copyright (c) 2019-2022 LiteSpeed Technologies, Inc.
 * @since 2.0
 * ******************************************* */

use LsPanel\DAEscalate;
use LsPanel\DAPluginException;

require_once __DIR__ . '/autoloader.php';

/**
 *
 * @since 2.1
 *
 * @param int    $exitCode
 * @param string $msg
 */
function exitScript( $exitCode, $msg )
{
    if ( !empty($msg) ) {
        echo $msg;
    }

    exit($exitCode);
}

if ( ! empty($_SERVER['argv']) ) {

    try {
        DAEscalate::run($_SERVER['argv'][0], array_slice($_SERVER['argv'], 1));
    }
    catch ( DAPluginException $e ) {
        exitScript($e->getCode(), $e->getMessage());
    }
}
