<?php

/** ******************************************
 * LiteSpeed Web Server Plugin for DirectAdmin
 *
 * @author LiteSpeed Technologies, Inc. (https://www.litespeedtech.com)
 * @copyright (c) 2020
 * @since 2.1
 * ******************************************* */

namespace LsPanel;

/**
 * @since 2.1
 */
class DAPluginEscalatedLogEntry
extends DAPluginLogEntry
{

    /**
     *
     * @since 2.1
     *
     * @param int  $logLvl
     * @return string
     * @throws DAPluginException  Thrown indirectly.
     */
    public function getOutput( $logLvl )
    {
        if ( $this->lvl > $logLvl ) {
            return '';
        }

        $timestamp = date('Y-m-d H:i:s', $this->timestamp);
        $addTagInfo = DAPluginEscalatedLogger::getAdditionalTagInfo();
        $lvl = '[' . DAPluginEscalatedLogger::getLvlDescr($this->lvl) . ']';
        $msg = $this->getMsg();

        return "{$timestamp} {$addTagInfo} {$lvl}  {$msg}\n";
    }

}
