<?php

/** ******************************************
 * LiteSpeed Web Server Plugin for DirectAdmin
 *
 * @author LiteSpeed Technologies, Inc. (https://www.litespeedtech.com)
 * @copyright (c) 2019-2020
 * @since 2.0
 * ******************************************* */

namespace LsPanel\Extend;

use \Lsc\Wp\LSCMException;
use \Lsc\Wp\WPDashMsgs;
use \LsPanel\DAEscalate;
use \LsPanel\DAPluginException;

/**
 * @since 2.0
 */
class DAPanelWPDashMsgs extends WPDashMsgs
{

    /**
     *
     * @since 2.0
     */
    public function __construct()
    {
        parent::__construct();
    }

    /**
     *
     * @since 2.0
     *
     * @throws LSCMException
     */
    protected function init()
    {
        try {
            $this->msgData = DAEscalate::escalate(
                true,
                DAEscalate::MGR_CMD_GET_WP_DASH_MSG_DATA
            );
        }
        catch ( DAPluginException $e ) {
            throw new LSCMException($e->getMessage(), $e->getCode());
        }
    }

    /**
     *
     * @since 2.0
     *
     * @throws LSCMException
     */
    protected function saveDataFile()
    {
        try {

            DAEscalate::escalate(
                true,
                DAEscalate::MGR_CMD_WRITE_WP_DASH_MSGS_DATA,
                array(
                    'msgsJson' => base64_encode(json_encode($this->msgData))
                )
            );
        }
        catch ( DAPluginException $e ) {
            throw new LSCMException($e->getMessage(), $e->getCode());
        }
    }
}