<?php

/** *********************************************
 * LiteSpeed Web Server Plugin for DirectAdmin
 *
 * @author LiteSpeed Technologies, Inc. (https://www.litespeedtech.com)
 * @copyright (c) 2019-2020
 * @since 2.0
 * *******************************************
 */

namespace LsPanel\Extend;

use \Lsc\Wp\LSCMException;
use \Lsc\Wp\WPInstall;
use \LsPanel\DAEscalate;
use \LsPanel\DAPluginException;

/**
 * @since 2.0
 */
class DAPanelWPInstall extends WPInstall
{

    /**
     *
     * @since 2.0
     *
     * @param string  $path
     */
    public function __construct( $path )
    {
        parent::__construct($path);
    }

    /**
     *
     * @since 2.0
     *
     * @param string  $path
     * @throws LSCMException
     */
    protected function init( $path )
    {
        try {
            $realPath = DAEscalate::escalate(
                true,
                DAEscalate::MGR_CMD_GET_REAL_PATH,
                array('filePath' => $path)
            );
        }
        catch ( DAPluginException $e ) {
            throw new LSCMException($e->getMessage(), $e->getCode());
        }

        if ( $realPath === false ) {
            $this->path = $path;
        }
        else {
            $this->path = $realPath;
        }

        $this->data = array(
            self::FLD_STATUS => 0,
            self::FLD_DOCROOT => null,
            self::FLD_SERVERNAME => null,
            self::FLD_SITEURL => null
        );
    }

}
