<?php

/* * ******************************************
 * LiteSpeed Web Server Plugin for DirectAdmin
 *
 * @author LiteSpeed Technologies, Inc. (https://www.litespeedtech.com)
 * @copyright (c) 2019
 * @since 2.0
 * ******************************************* */

namespace LsPanel\View\Model;

use \LsPanel\View\Model\BaseViewModel;

/**
 * @since 2.0
 */
class ChangeLicenseConfirmViewModel extends BaseViewModel
{

    /**
     * @since 2.0
     * @var string
     */
    const FLD_ERRORS = 'errors';

    /**
     * @since 2.0
     * @var string
     */
    const FLD_I_AGREE_VAL = 'iAgreeVal';

    /**
     * @since 2.0
     * @var string
     */
    const FLD_INSTALL_TYPE = 'installType';

    /**
     * @since 2.0
     * @var string
     */
    const FLD_LICENSE_AGREEMENT = 'licenseAgreement';

    /**
     * @since 2.0
     * @var string
     */
    const FLD_SERIAL_NO = 'serialNo';

    /**
     * @since 2.0
     * @var string[][]
     */
    private $info;

    /**
     *
     * @since 2.0
     *
     * @param string[][]  $info
     */
    public function __construct( $info )
    {
        parent::__construct();

        $this->info = $info;

        $this->init();
    }

    /**
     *
     * @since 2.0
     */
    private function init()
    {
        $this->setInputData();
        $this->setLicenseAgreementData();
    }

    /**
     *
     * @since 2.0
     */
    private function setInputData()
    {
        $this->tplData[self::FLD_INSTALL_TYPE] = $this->info['install_type'];
        $this->tplData[self::FLD_I_AGREE_VAL] = $this->info['license_agree'];
        $this->tplData[self::FLD_SERIAL_NO] = $this->info['serial_no'];
        $this->tplData[self::FLD_ERRORS] = $this->info['errors'];
    }

    /**
     *
     * @since 2.0
     */
    private function setLicenseAgreementData()
    {
        $content = file_get_contents(__DIR__ . '/../../LICENSE.html');

        $this->tplData[self::FLD_LICENSE_AGREEMENT] = $content;
    }

    /**
     *
     * @since 2.0
     *
     * @return string
     */
    public function getTpl()
    {
        return realpath(__DIR__ . '/../Tpl') . '/ChangeLicenseConfirm.tpl';
    }

}
