<?php

/* * ******************************************
 * LiteSpeed Web Server Plugin for DirectAdmin
 *
 * @author LiteSpeed Technologies, Inc. (https://www.litespeedtech.com)
 * @copyright (c) 2019
 * @since 2.0
 * ******************************************* */

namespace LsPanel\View\Model;

use \LsPanel\View\Model\BaseViewModel;

/**
 * @since 2.0
 */
class ChangeLicenseViewModel extends BaseViewModel
{

    /**
     * @since 2.0
     * @var string
     */
    const FLD_OPERATION_OUTPUT = 'operationOutput';

    /**
     * @since 2.0
     * @var string[][]
     */
    private $info;

    /**
     *
     * @since 2.0
     *
     * @param string[][]  $info
     */
    public function __construct( $info )
    {
        parent::__construct();

        $this->info = $info;

        $this->init();
    }

    /**
     *
     * @since 2.0
     */
    private function init( )
    {
        $this->setOutputData();
    }

    /**
     * @since 2.0
     */
    private function setOutputData()
    {
        $this->tplData[self::FLD_OPERATION_OUTPUT] =
                (isset($this->info['output'])) ? $this->info['output'] : '';
    }

    /**
     *
     * @since 2.0
     *
     * @return string
     */
    public function getTpl()
    {
        return realpath(__DIR__ . '/../Tpl') . '/ChangeLicense.tpl';
    }

}
