<?php

/** ******************************************
 * LiteSpeed Web Server Plugin for DirectAdmin
 *
 * @author LiteSpeed Technologies, Inc. (https://www.litespeedtech.com)
 * @copyright (c) 2019-2020
 * @since 2.0
 * ******************************************* */

namespace LsPanel\View\Model;

use \LsPanel\DALiteSpeedUtil;
use \LsPanel\DAPluginException;

/**
 * @since 2.0
 */
class CurrentLicenseStatusViewModel extends BaseViewModel
{

    /**
     * @since 2.0
     * @var string
     */
    const FLD_STATUS_OUTPUT = 'statusOutput';

    /**
     *
     * @since 2.0
     *
     * @throws DAPluginException  Thrown indirectly.
     */
    public function __construct()
    {
        parent::__construct();

        $this->init();
    }

    /**
     *
     * @since 2.0
     *
     * @throws DAPluginException  Thrown indirectly.
     */
    private function init()
    {
        $this->setStatusData();
    }

    /**
     *
     * @since 2.0
     *
     * @throws DAPluginException  Thrown indirectly.
     */
    private function setStatusData()
    {
        $output = '';

        DALiteSpeedUtil::getCurrentLicenseStatus($output);

        $this->tplData[self::FLD_STATUS_OUTPUT] = $output;
    }

    /**
     *
     * @since 2.0
     *
     * @return string
     */
    public function getTpl()
    {
        return realpath(__DIR__ . '/../Tpl') . '/CurrentLicenseStatus.tpl';
    }

}
