<?php

/* * ******************************************
 * LiteSpeed Web Server Plugin for DirectAdmin
 *
 * @author LiteSpeed Technologies, Inc. (https://www.litespeedtech.com)
 * @copyright (c) 2019
 * @since 2.0
 * ******************************************* */

namespace LsPanel\View\Model;

use \LsPanel\DALiteSpeedUtil;
use \LsPanel\View\Model\BaseViewModel;

/**
 * @since 2.0
 */
class RestartLswsConfirmViewModel extends BaseViewModel
{

    /**
     * @since 2.0
     * @var string
     */
    const FLD_LS_PID = 'lsPid';

    /**
     * @since 2.0
     * @var string
     */
    const FLD_AP_PID = 'apPid';

    /**
     *
     * @since 2.0
     */
    public function __construct()
    {
        parent::__construct();

        $this->init();
    }

    /**
     *
     * @since 2.0
     */
    private function init()
    {
        $this->setPidData();
    }

    /**
     *
     * @since 2.0
     */
    private function setPidData()
    {
        $this->tplData[self::FLD_LS_PID] = DALiteSpeedUtil::getLSPID();
        $this->tplData[self::FLD_AP_PID] = DALiteSpeedUtil::getApachePID();
    }

    /**
     *
     * @since 2.0
     *
     * @return string
     */
    public function getTpl()
    {
        return realpath(__DIR__ . '/../Tpl') . '/RestartLswsConfirm.tpl';
    }

}
