<?php

/** ******************************************
 * LiteSpeed Web Server Plugin for DirectAdmin
 *
 * @author    Michael Alegre
 * @copyright 2019-2023 LiteSpeed Technologies, Inc.
 * @since     2.0
 * ******************************************* */

namespace LsPanel\View\Model;

/**
 * @since 2.0
 */
class SharedCodeUpdateResultViewModel extends BaseViewModel
{

    /**
     * @since 2.3
     * @var string
     */
    const FLD_ERR_MSG = 'errMsg';

    /**
     * @since 2.3
     * @var string
     */
    private $errMsg;

    /**
     *
     * @since 2.0
     * @since 2.3  Replaced bool param $updated with string param $errMsg.
     *
     * @param string  $errMsg
     */
    public function __construct( $errMsg )
    {
        parent::__construct();

        $this->errMsg  = $errMsg;

        $this->init();
    }

    /**
     *
     * @since 2.0
     */
    private function init()
    {
        $this->setErrMsgData();
    }

    /**
     *
     * @since 2.3
     */
    private function setErrMsgData()
    {
        $this->tplData[self::FLD_ERR_MSG] = $this->errMsg;
    }

    /**
     *
     * @since 2.0
     *
     * @return string
     */
    public function getTpl()
    {
        return realpath(__DIR__ . '/../Tpl') . '/SharedCodeUpdateResult.tpl';
    }

}
