<?php

/** ******************************************
 * LiteSpeed Web Server Plugin for DirectAdmin
 *
 * @author LiteSpeed Technologies, Inc. (https://www.litespeedtech.com)
 * @copyright (c) 2020
 * @since 2.1
 * ******************************************* */

namespace LsPanel\View\Tpl\Blocks;

/**
 * This class contains constants that relate to known template blocks for
 * easier inclusion in parent templates.
 *
 * @since 2.1
 */
abstract class TplBlocks
{

    /**
     * @since 2.1
     * @var string
     */
    const BUTTON_PANEL_BACK_NEXT = 'ButtonPanelBackNext.tpl';

    /**
     * @since 2.1
     * @var string
     */
    const DIV_MSG_BOX = 'DivMsgBox.tpl';

    /**
     * @since 2.1
     * @var string
     */
    const PAGE_FOOTER = 'PageFooter.tpl';

    /**
     * @since 2.1
     * @var string
     */
    const PAGE_HEADER = 'PageHeader.tpl';

    /**
     * @since 2.1
     * @var string
     */
    const SECTION_TITLE = 'SectionTitle.tpl';

    /**
     * @since 2.1
     * @var string
     */
    const TITLE = 'Title.tpl';

}