<?php

use \LsPanel\View\Model\ChangeLicenseConfirmViewModel as ViewModel;

/* @var ViewModel  $viewModel */

$errors = $viewModel->getTplData(ViewModel::FLD_ERRORS);
$install_type = $viewModel->getTplData(ViewModel::FLD_INSTALL_TYPE);
$i_agree_val = $viewModel->getTplData(ViewModel::FLD_I_AGREE_VAL);
$license_agreement= $viewModel->getTplData(ViewModel::FLD_LICENSE_AGREEMENT);
$serial_no = $viewModel->getTplData(ViewModel::FLD_SERIAL_NO);

$prodCheckboxState = $serialNumValue = $trialCheckboxState = '';

$licCheckboxState = ($i_agree_val != '') ? 'checked' : '';

switch ( $install_type ) {
    case 'prod':
        $prodCheckboxState = 'checked';

        if ( $serial_no != '' ) {
            $serialNumValue = "value=\"{$serial_no}\"";
        }

        break;

    case 'trial':
        $trialCheckboxState = 'checked';
        break;

    //no default
}

if ( !empty($errors) ) :

?>

<p class="inputerror">Please fix the errors first!</p>

<?php endif; ?>

<div>
  <h3>End-User License Agreement for LiteSpeed Software</h3>

  <p>IMPORTANT READ CAREFULLY</p>
  <textarea rows="15" cols="100" readonly>
    <?php echo $license_agreement; ?>
  </textarea>
  <p>
    <input type="checkbox" name="license_agree"
           value="agree" <?php echo $licCheckboxState; ?>/>
    I Agree

    <?php if ( isset($errors['license_agree']) ) : ?>

    <span class="inputerror"><?php echo $errors['license_agree']; ?></span>

    <?php endif; ?>

  </p>
  <b>Choose an Activation Method</b>

  <?php if ( isset($errors['install_type']) ) : ?>

  <span class="inputerror"><?php echo $errors['install_type']; ?></span>

  <?php endif; ?>

  <br />
  <br />
  <input type="radio" name="install_type"
         value="prod" <?php echo $prodCheckboxState; ?>/>
  <b>Switch to a production license</b>
  <br />
  <ul class="inputnote">
    <li>If you have got your new serial number, you can copy it here.</li>
	<li>
      Serial number is sent via email or can be copied from the service detail
      section in the store.litespeedtech.com client area.
    </li>
	<li>
      This plugin will connect to LiteSpeed's registration service to retrieve
      an active license key.
    </li>
  </ul>

  <?php if (isset($errors['serial_no'])) : ?>

  <p class="inputerror"><?php echo $errors['serial_no']; ?></p>

  <?php endif; ?>

  <p>
    Input serial number:
    <input
        type="text"
        name="serial_no"
        size="30"
        <?php echo $serialNumValue; ?>
    />
  </p>
  <p>
    <input type="radio" name="install_type"
           value="trial" <?php echo $trialCheckboxState; ?>/>
    <b>Use a trial license</b>
  </p>

  <ul class="inputnote">
    <li>
      Please request a trial license from LiteSpeed Tech web site download page
      and save it to /usr/local/lsws/conf/trial.key
    </li>
	<li>
      Trial license is valid for 15 days from the date you apply
      (not from the date of usage).
    </li>
	<li>
      You can only use a trial license if this server has not used trial
      version before.
    </li>
	<li>
      If you currently have a valid production license, you may want to
      transfer the license first (to be able to use on another server) before
      switching.
    </li>
  </ul>
  <br />
  <p align="center">
    <a href="litespeed" title="Go back">Go back</a>
    <br />
    <br />
    <input type="submit" value="Next" />
  </p>
</div>