<input type="hidden" name="act" />
<input type="hidden" name="version_num" />

<?php

use Lsc\Wp\View\Model\VersionManageViewModel as ViewModel;

$icon        = $this->viewModel->getTplData(ViewModel::FLD_ICON);
$activeVer   = $this->viewModel->getTplData(ViewModel::FLD_ACTIVE_VER);
$verList     = $this->viewModel->getTplData(ViewModel::FLD_VERSION_LIST);
$allowedList = $this->viewModel->getTplData(ViewModel::FLD_ALLOWED_VER_LIST);
$state       = $this->viewModel->getTplData(ViewModel::FLD_STATE);
$errMsgs     = $this->viewModel->getTplData(ViewModel::FLD_ERR_MSGS);

$this->loadTplBlock(
    'Title.tpl',
    array(
        'title' => 'LiteSpeed Cache Plugin Version Manager',
        'icon'  => $icon
    )
);

if ( !empty($errMsgs) ) {
    $this->loadTplBlock(
        'DivMsgBox.tpl',
        array( 'msgs'  => $errMsgs, 'class' => 'msg-error scrollable' )
    );
}

$this->loadTplBlock(
    'SectionTitle.tpl',
    array( 'title' => '<b>Set Active Version</b>' )
);

?>

<?php if ( empty($allowedList) ): ?>

<div>
  <p>
    [Feature Disabled] Unable to find/retrieve valid LSCWP version list.
  </p>
</div>

<?php else: ?>

<div>
  <span class="hint">
    Sets the LiteSpeed Cache plugin version to be used in all future "Enable"
    operations.
    <br/>
    (To ensure stability, there may be a delay before new LiteSpeed Cache plugin
    versions appear in this list)
  </span>
</div>
<br />
<table class="vermgr">
  <tbody>
    <tr>
      <td style="padding-top: 2px;">
        Current Active Version:
        <span style="color: #0066CC;">
          <?php echo ($activeVer) ? htmlspecialchars($activeVer) : 'Not Selected'; ?>
        </span>
      </td>
      <td>
        <label
            for="lscwpActiveSelector"
            style="font-weight: normal; margin-bottom: unset;"
        >
          New Active Version
        </label>
        <select id="lscwpActiveSelector">

          <?php

          foreach ( $allowedList as $ver ):
              $safeVer = htmlspecialchars($ver);

          ?>

          <option value ="<?php echo $safeVer; ?>">
            <?php echo $safeVer; ?>
          </option>

          <?php endforeach; ?>

        </select>
      </td>
      <td id="switchVerBtn" style="margin-top: 5px;">
        <button
            type="button"
            class="nowrap lsws-primary-btn"
            title="Switch LiteSpeed Cache plugin to the version selected"
            onclick="lscwpVermgr('switchTo');"
        >
          Switch Version
        </button>
      </td>
    </tr>
  </tbody>
</table>

<?php endif; ?>

<br />

<?php

$this->loadTplBlock(
    'SectionTitle.tpl',
    array(
        'title' => '<b>Force Version Change For All Existing Installations</b>'
    )
);

if ( $state == ViewModel::ST_SCAN_NEEDED ):

?>

<div>
  <p>
    Cache Management list could not be read. Please go to
    <a href="?do=lscwp_manage" title="Go to Manage Cache Installations">
      Manage Cache Installations
    </a>
    and Scan/Re-scan to discover active WordPress installations.
  </p>
</div>

<?php elseif ( $state == ViewModel::ST_NO_NON_ERROR_INSTALLS_DISCOVERED ): ?>

<div>
  <p>
    No WordPress installations discovered in the previous scan. If you have any
    newly installed WordPress installations, please go to
    <a href="?do=lscwp_manage" title="Go to Manage Cache Installations">
      Manage Cache Installations
    </a>
    and Re-scan/Discover New.
  </p>
</div>

<?php elseif ( empty($verList) ): ?>

<div>
  <p>
    [Feature Disabled] Unable to find/retrieve valid LSCWP version list.
  </p>
</div>

<?php else: ?>

<div>
  <span class="hint">
    Upgrades active LiteSpeed Cache plugins matching the selection in the
    "From Version" list to the version chosen under "Upgrade To".
    <br />
    Flagged installations will be skipped. (To ensure stability, there may be a
    delay before new LiteSpeed Cache plugin versions appear in this list)
  </span>
</div>

<br /><br />

<table id="lscwp-upgrade-mgr">
  <tbody>
    <tr>
      <td style="margin-top: 15px; vertical-align: top;">From Version(s):</td>
      <td style="text-align: left; padding 0;">
        <table
            class="datatable nowrap"
            style="
              width: unset;
              clear: unset;
              border-collapse: unset;
              border-spacing: unset;
            "
        >
          <thead>
            <tr>
              <th style="text-align: left;">
                <input
                    id="from_selectAll"
                    style="margin: 4px 0 0;"
                    type="checkbox"
                    onClick="selectAll(this)"
                />
                <label
                    for="from_selectAll"
                    style="
                      font-weight: normal;
                      margin-bottom: unset;
                      color: #FFFFFF;
                    "
                >
                  Select All
                </label>
              </th>
            </tr>
          </thead>
          <tbody>

            <?php

            foreach ( $verList as $ver ):
                $safeVer = htmlspecialchars($ver);

            ?>

            <tr>
              <td>
                <span style="width: 20px; display: inline-block;"></span>
                <input
                    type="checkbox"
                    id="from_<?php echo $safeVer; ?>"
                    name="selectedVers[]"
                    value="<?php echo $safeVer; ?>"
                />
                <label
                    for="from_<?php echo $safeVer; ?>"
                    style="font-weight: normal; margin-bottom: unset;"
                >
                  <?php echo $safeVer; ?>
                </label>
              </td>
            </tr>

            <?php endforeach; ?>

          </tbody>
        </table>
      </td>
      <td style="margin-top: 15px; vertical-align: top;">
        <label
            for="lscwpUpgradeSelector"
            style="font-weight: normal; margin-bottom: unset;"
        >
          Upgrade To:
        </label>
        <select id="lscwpUpgradeSelector">

          <?php

          foreach ( $allowedList as $ver ):
              $safeVer = htmlspecialchars($ver);
          ?>

          <option value ="<?php echo $safeVer; ?>">
            <?php echo $safeVer; ?>
          </option>

          <?php endforeach; ?>

        </select>
      </td>
      <td style="margin-top: 10px; text-align: center; vertical-align: top;">
        <button
            type="button"
            title="Force version change for all matching selections"
            onclick="lscwpVermgr('upgradeTo');"
            class="upgrade-btn lsws-primary-btn"
        >
          Upgrade
        </button>
      </td>
    </tr>
  </tbody>
</table>

<?php

endif;

$this->loadTplBlock('ButtonPanelBackNext.tpl', array( 'back' => 'Back' ));
