<?php

use LsPanel\View\Model\MainMenuViewModel;
use LsPanel\View\Model\Open_MainMenuViewModel as ViewModel;

/* @var ViewModel  $viewModel */

$litespeedInstalled =
    $viewModel->getTplData(MainMenuViewModel::FLD_LITESPEED_INSTALLED);
$lsPid = $viewModel->getTplData(MainMenuViewModel::FLD_LS_PID);
$apPid = $viewModel->getTplData(MainMenuViewModel::FLD_AP_PID);
$pluginVer = $viewModel->getTplData(MainMenuViewModel::FLD_PLUGIN_VER);

if ( $litespeedInstalled ) {
    $mInfo = $viewModel->getTplData(MainMenuViewModel::FLD_MAIN_MENU_INFO);
    $currLscwpVer =
        $viewModel->getTplData(MainMenuViewModel::FLD_CURR_LSCWP_VER);
    $latestLscwpVer =
        $viewModel->getTplData(MainMenuViewModel::FLD_LATEST_LSCWP_VER);

    $admin_url = $mInfo['adminurl'];
}

$lsStatus = $apStatus = 'not running';

if ( $lsPid > 0 ) {
  $lsStatus = "running (PID = $lsPid)";
}

if ( $apPid > 0 ) {
  $apStatus = "running (PID = $apPid)";
}

?>

<table bgcolor="#ffffff" border="0" align="center" width="100%">
  <tr>
    <td>
      <center>
        <img
            alt="LiteSpeed Web Server"
            src="/CMD_PLUGINS_ADMIN/litespeed/images/icons/litespeedWebServerCentered.png"
            onclick="window.open('http://www.litespeedtech.com')"
        >
      </center>
    </td>
  </tr>
  <tr class="scellheader">
    <td>
      LiteSpeed is <?php echo $lsStatus; ?>.
      Apache is <?php echo $apStatus; ?>.
    </td>
  </tr>
  <tr>
    <td>
      <br />
    </td>
  </tr>
</table>

<?php if ( !$litespeedInstalled ) : ?>

<p>
  Set your web server to 'litespeed' or 'openlitespeed' to use this plugin.
</p>

<?php else : ?>

<fieldset>
  <legend>Control LiteSpeed Web Server</legend>
  <table align="center" cellspacing="5" cellpadding="5" border="0" width="98%">

    <?php

    $restartTdAttributes = $webadminTdAttributes = 'class="list2"';
    $restartText = 'Restart LiteSpeed';
    $webadminText = 'WebAdmin Console';

    if ( $lsPid > 0 ) {
      $restartText = '<a href="?do=restart_lsws">Restart LiteSpeed</a>';

      if ( $admin_url != '' ) {
        $webadminText = "<a href=\"$admin_url\" target=\"_blank\">"
            . "WebAdmin Console</a>";
      }
      else {
        $webadminTdAttributes .=
            ' title="WebAdmin Console URL not found"';
      }
    }
    else {
      $restartTdAttributes .= ' title="LiteSpeed detected as not running"';
      $webadminTdAttributes .=
          ' title="Please start LiteSpeed to access the WebAdmin Console"';
    }

    ?>

    <tr>
      <td
        <?php echo $webadminTdAttributes; ?>><?php echo $webadminText; ?>
      </td>
      <td <?php echo $restartTdAttributes; ?>><?php echo $restartText; ?></td>
    </tr>
  </table>
</fieldset>
<br />
<fieldset>
  <legend>LiteSpeed Cache For WordPress Management</legend>
  <table align="center" cellspacing="5" cellpadding="5" border="0" width="98%">
    <tr>
      <td class="list2">
        <a href="?do=lscwp_manage">Manage Cache Installations</a>
      </td>
      <td class="list2">
        <a href="?do=lscwp_mass_enable_disable">Mass Enable/Disable Cache</a>
      </td>

      <?php

      $lscwpVerManagerText = 'LSCWP Version Manager';
      $showLatestLscwpText = false;

      if ( $currLscwpVer != '' ) {
        $lscwpVerManagerText =
            'Current Version: ' . htmlspecialchars($currLscwpVer);

        if ( $latestLscwpVer != '' && $latestLscwpVer != $currLscwpVer ) {
          $showLatestLscwpText = true;
        }
      }

      ?>

      <td class="list2">
        <a href="?do=lscwpVersionManager">
          <?php echo $lscwpVerManagerText; ?>
        </a>

        <?php if ( $showLatestLscwpText ) : ?>

        <br />
        <span class="small red">
          Latest Release: <?php echo htmlspecialchars($latestLscwpVer); ?>
        </span>

        <?php endif; ?>

      </td>
      <td class="list2">
        <a href="?do=dash_notifier">WordPress Dash Notifier</a>
      </td>
    </tr>
  </table>
</fieldset>
<br />

<?php endif; ?>

<p style="margin-top:30px; color:#a0a0a0; text-align:right">
  This plugin is developed by LiteSpeed Technologies, DirectAdmin is not
  responsible for support.
  <br/>
  Please contact litespeedtech.com for all related questions and issues.
  <br/>
  <br/>
  LiteSpeed Web Server Plugin for DirectAdmin v<?php echo $pluginVer; ?>
</p>
