<?php

use \LsPanel\View\Model\TransferLicenseViewModel as ViewModel;

/* @var ViewModel  $viewModel */

$licUsable = $viewModel->getTplData(ViewModel::FLD_LIC_USABLE);
$licStatusOutput = $viewModel->getTplData(ViewModel::FLD_LIC_STATUS_OUTPUT);
$licMigrated = $viewModel->getTplData(ViewModel::FLD_LIC_MIGRATED);
$lswsHome = $viewModel->getTplData(ViewModel::FLD_LSWS_HOME);

?>

<div>
  <h3>LiteSpeed Web Server License Migration</h3>

  <p>You can transfer your license from one server to another.</p>
  <p>
    After you migrate your license, you can continue to use the current server
    for up to 3 days to ensure a smooth transition. If after 3 days, you still
    need more time and have not used the trial version of LiteSpeed on this
    server before, you can apply for a trial key to get an additional 15 days.
  </p>

  <div>
    <p>Current License Status:</p>

    <?php

	echo $licStatusOutput;

	if ( !$licUsable ) :

    ?>

    <p>
      <b>
        Current license can no longer be used. You cannot transfer this license!
      </b>
    </p>

    <?php elseif ( $licMigrated ) : ?>

    <p>
      <b>Current license has been transferred. You cannot transfer this license
        again!
      </b>
    </p>
    <p>
      You can use the same serial number to register a new license on a new
      machine.
    </p>
    <p>
      If you want to reuse the same serial number on this machine and it has
      not been registered on a new machine, use the "change license" option
      with the same serial to get a new license key. Otherwise, you will need
      to release the license before it can be activated on a different machine.
    </p>

    <?php endif; ?>

  </div>

  <?php if ( $licUsable ) : ?>

  <p class="highlighted">
    Please run the below shell command as root user to switch to Apache:
    <br />
    <?php echo $lswsHome; ?>/bin/lshttpd -m
    <br />
    Then verify with command
    <br />
    <?php echo $lswsHome; ?>/bin/lshttpd -V
    <br />
    Then restart LiteSpeed to make it take effect.
  </p>

  <?php endif; ?>

  <br />
  <br />
  <p align="center"><a href="litespeed" title="Go back">Go back</a></p>
</div>
