#!/bin/sh

CGI_DIR=/usr/local/directadmin/plugins/litespeed/admin
#
# Stop Apache
# graceful stop, so will wait up to 30 seconds
#

OS=`uname -s`
if [ "x$OS" = "xFreeBSD" ] ; then
    /usr/local/etc/rc.d/httpd stop
else
    /sbin/service httpd stop
fi

RETRY=30
TEST_RUNNING_RES=0

while [ $RETRY -gt 0 ] && [ $TEST_RUNNING_RES -eq 0 ] 
do
    $CGI_DIR/chkApacheRunning.sh

    TEST_RUNNING_RES=$?
    ((RETRY--))

    sleep 1
done

if [ $TEST_RUNNING_RES -eq 0 ] ; then 
    echo "Apache is still running. Fail to stop it within 30 secs."
    exit 1  # still running, maybe fail to stop
else
    echo "Stopped Apache."
    exit 0  # stopped
fi
