#!/bin/sh

CGI_DIR=/usr/local/directadmin/plugins/litespeed/admin

#
# start LiteSpeed
#
start_lsws()
{
    OS=`uname -s`
    if [ "x$OS" = "xFreeBSD" ]; then
        /usr/local/etc/rc.d/lsws.sh start
    else
        /sbin/service lshttpd start
    fi

    RETRY=30
    TEST_RUNNING_RES=1

    while [ $RETRY -gt 0 ] && [ $TEST_RUNNING_RES -ne 0 ]
    do
        $CGI_DIR/chkLSRunning.sh

        TEST_RUNNING_RES=$?
        ((RETRY--))

        sleep 1
    done
}

#
# reset port offset
#
$CGI_DIR/changePortOffset.sh 0
if [ $? -eq 1 ] ; then
    exit 1
 fi


#
# stop Apache
#
$CGI_DIR/stopApache.sh

pkill -9 httpd

start_lsws

if [ $TEST_RUNNING_RES -eq 0 ] ; then 
    echo "LiteSpeed started successfully."
    exit 0
else
    echo "LiteSpeed is not up within 30 secs, try again by removing /tmp/lshttpd/."

## litespeed binary name changed from lshttpd since 4.0.17

    pkill -9 lshttpd
    pkill -9 litespeed
    rm -rf /tmp/lshttpd

    start_lsws

    if [ $TEST_RUNNING_RES -eq 0 ] ; then 
	echo "LiteSpeed started successfully."
	exit 0
    else
	echo "LiteSpeed is not up within 60 secs, please try again."
	exit 1
    fi
fi
